@import url('https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-c: #fff;
    --sec-bgc: #454545;
    --text-c: #222831;
    --main-c: #FF8911;
}

html {
    font-size: 70%;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

body {
    background: var(--bg-c);
    color: var(--main-c);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 1rem 9%;
    font-weight: bolder;
    background: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    transition: 0.6s;
}

.header .sticky {
    padding: 5px 100px;
    background: #ffffff;
}

img {
    width: 150px;
    height: 100px;
}

.slideshow-container {
    max-width: 2500px;
    position: relative;
    margin: auto;
    padding-left: 5px;
    padding-right: -5px;
}

.mySlides {
    display: none;
}

.text {
    color: aliceblue;
    font-size: 15px;
    padding: 8px 12px;
    position: absolute;
    width: 100%;
    text-align: center;
    bottom: 8px;
}

.bx-menu {
    text-align: center;
    justify-content: center;
}

li {
    list-style: none;
    display: inline-block;
}

button {
    border-radius: 50px;
    padding: 8px;
    width: 120px;
    margin-right: 20px;
    align-items: flex-end;
}

.navbar a{
    font-size: 1.8rem;
    color: var(--text-c);
    font-weight: bold;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    text-align: center;
    margin-left: 3.5rem;
    transition: 0.3s;
    padding-left: 15px;
    padding-right: 15px;
}

.navbar button {
    border: none;
    color: var(--text-c);
    background: var(--main-c);
    padding: 10px 10px;
    border-radius: 80px;
    font-weight: bold;
    font-size: 1.6rem;
    cursor: pointer;
    outline: none;
    border-color: #454545;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}

.navbar button:hover {
    background: #454545;
    color: var(--bg-c);
    border: #FF8911;
    border-style: solid;
}

.navbar a:hover,
.navbar a.active {
    color: var(--main-c);
}

.navbar.sticky {
    background: #ffffff;
    padding: 10px 10px;
}

.navdiv {
    display: flex;
    align-items: center;
    font-weight: bold;
    justify-content: space-between;
}

section {
    min-height: 100vh;
    background-color: #ffffff;
    width: 100%;
}

.aboutus {
    padding: 50px;
    text-align: center;
}

.aboutus h2 {
    font-size: 2em;
    margin-bottom: 20px;
}

.aboutus p {
    font-size: 1.2em;
    margin-bottom: 20px;
    line-height: 1.6;
}

.home {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 8%;
    width: 100%;
    height: 100vh;
}

.container {
    background-color: #fff;
    position: relative;
    width: 100%;
    display: flex;
    justify-content: center;
    margin: 0 auto;
    overflow: hidden;
    padding-top: 100px; /* Adjust the top padding to accommodate the header */
    padding-bottom: 0px; /* Adjust the bottom padding */
    padding-left: 10px;
    padding-right: 10px;
}

.slides {
    display: flex;
    position: relative;
    width: 100%;
    color: #ffffff;
}

.slide {
    min-width: 100%;
    position: relative;
    display: flex;
}

.slide video {
    width: 100%;
    margin:  auto;
    max-width: calc(100%);
    height: calc(90vh - 100px); /* Adjust the total height - header height and bottom padding */
    object-fit: fill;
}

.prev,
.next {
    position: absolute;
    width: auto;
    top: 50%;
    background-color: #4728E5;
    color: white;
    border: #4728E5;
    border-radius: 50%;
    padding: 10px;
    font-size: 18px;
    transition: 0.6s ease;
    cursor: pointer;
}
  
.prev {
    left: 20px;
}
  
.next {
    right:0px;
}

.prev:hover, .next:hover {
    background-color: var(--main-c);
}

.centered-header {
    text-align: center;
}

.aboutus{
    width:100%;
    background-color:#fff;
}

.aboutus .aboutcontainer{
    width: 90%;
    display: block;
    margin:0 auto;
    padding:40px 0;
}

.aboutus .aboutcontainer .title
{        
    width: 100%;
    text-align: center;
    margin-bottom: 50px;
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
}

.aboutcontainer .title h1{
    text-transform: uppercase;
    font-family: 'Times New Roman', Times, serif;
    font-size: 25px;
    font-weight: bold;
    color: #FF8911;
}

.aboutcontainer .title h1::after{
    content:"";
    height:3.2px;
    width: 100px;
    background-color: var(--sec-bgc);
    border-radius: 50px;
    display: block;
    margin:auto;
}

.about-content{
    float: left;
    width:55%;
    text-align: left;
}

.image-section{
    float: right;
    width:40%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    position: relative;
}

.image-section img{
    width: 90%;
    height:350px;
    border: #FF8911;
    border-radius: 50%;
    position: relative;
    z-index:1;
    box-shadow: 0 0 10px #fa8b03f4, 
                0 0 20px #fa8b03f4, 
                0 0 30px #fa8b03f4, 
                0 0 40px #fa8b03f4; 
}


.about-content .article h3{
    color: #4728E5;
    font-size: 18px;
    font-weight: 700;
    line-height: 25px;
    text-align: justify;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    margin: 0;
}

.about-content .article .button{
    margin-top: 30px;
}

.about-content .article .button a{
    text-decoration: none;
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    padding:8px 20px;
    background-color:var(--sec-bgc);
    border-radius: 40px;
    color: #fff;
    font-weight: bold;
    font-size: 1.6rem;
    letter-spacing: 0.8px;
}

.about-content .article .button a:hover{
    color:var(--text-c);
    background-color: var(--main-c);
    transition: 0.3s ease;
}

.aboutcontainer .social{
    width:100%;
    clear:both;
    margin-top:10px;
    text-align:center;
    display: inline-block;
}

.aboutcontainer .social a {
    display: inline-block; /* Ensures the links are treated as blocks */
    margin: 0 5px; /* Adjust spacing between icons */
}

.aboutcontainer .social a i{
    color: #fff;
    font-size: 22px;
    height:45px;
    width: 45px;
    border-radius:50%;
    line-height:45px;
    text-align:center;
    background-color: var(--text-c);
    margin:0 5px;
    transition: background-color 0.3s ease, transform 0.3s ease; 
}

@media screen and (max-width:768px){
    .aboutus .aboutcontainer{
        width: 80%;
        display: block;
        margin:auto;
    }
    .about-content{
        float:none;
        width:100%;
        display:block;
        margin:auto;
    }
    .image-section{
        float:none;
        width:100%;
        margin-top:50px;
    }
    .image-section img{
        width:100%;
        height:auto;
        display: block;
        margin:auto;
    }
    .aboutcontainer .title h1{
        text-align: center;
        font-size: 25px;
    }
    .container .article .button{
        text-align: center;
    }
    .container .article .button a{
        padding:6px 15px;
        font-size:16px;
    }
    .container .social i{
        font-size:19px;
        height:35px;
        width:35px;
        line-height:35px;
    }
}

.aboutcontainer .social a.linkedin:hover i {
    color: #0077B5; /* Color for LinkedIn icon on hover */
    background-color: #fff; /* Background color on hover */
    transform: rotate(360deg); /* Rotation effect on hover */
}

.aboutcontainer .social a.instagram:hover i {
    color: rgb(152, 14, 152);/* Color for Instagram icon on hover */
    background-color: #fff; /* Background color on hover */
    transform: rotate(360deg); /* Rotation effect on hover */
}

.aboutcontainer .social a.twitter:hover i {
    color: #1DA1F2; /* Color for Twitter icon on hover */
    background-color: #fff; /* Background color on hover */
    transform: rotate(360deg); /* Rotation effect on hover */
}

@keyframes borderGlow {
    0% {
        box-shadow: 0 0 20px #ff8911;
    }
    25%{
        box-shadow: 0 0 20px #1DA1F2;
    }
    50% {
        box-shadow: 0 0 20px #ffd700;
    }
    100% {
        box-shadow: 0 0 20px #ff8911;
    }
}

.services h1 {
    font-size: 2em;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; /* Modern font family */
    color: #fff;
    text-transform: uppercase;
    font-weight: bold;
    padding-top: 10%;
    padding: 25px 40px;
    display: flex;
    justify-content: center;
    background-color: #333; /* Dark background for the box */
    animation: borderGlow 3s infinite alternate; /* Glowing border animation */
    transition: transform 0.3s ease; /* Smooth transition for hover effect */
}

.services h4{
    color:#fff;
    display: flex;
    justify-content: center;
    font-size: 20px;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    text-align: center;
    padding-top: 20px;
    padding-left: 130px;
    padding-right: 130px;
    margin: 20px 0;
}

.services h1:hover{
    transform: scale(1.05); /* Slightly enlarge the box on hover */
}

.main{
    width:100%;
    min-height:400px;
    text-align: center;
    position: relative;
    top:20%;
    cursor:pointer;
}

.services{
    background: #333;
}

.servicebox{
    background: #fff;
    padding:10px;
    border-radius: 10px;
    position: absolute;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-size: 15px;
    bottom: 0;
    padding-left: 20px;
    padding-right: 20px;
    width: 70%;
    left:10%;
    right:10%;
    margin:auto;
    transition: transform 0.3s ease;
    box-shadow: 0 10px 20px var(--main-c);
}

.servicebox p{
    text-align: justify;
}

@keyframes slideIn {
    0% {
        opacity: 0;
        transform: translateX(-100%);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}

.servicebox h4 {
    font-size: 22px;
    padding-top: 10px;
    font-weight: bold;
    font-family: Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    justify-content: center;
    color: #FF8911;
    animation: slideIn 1s ease-out; /* Apply the slide-in animation */
}

.service-logo{
    width: 120px;
    height:120px;
    border-radius: 50%;
    margin: -80px auto 0;
    background: #fff;
    border:10px solid var(--main-c);
    box-shadow: 0 0 10px var(--main-c), 
                0 0 20px var(--main-c), 
                0 0 30px var(--main-c);
}

.service-logo img{
    width: 50px;
    margin-top: 0px;
}

.main:hover .servicebox{
    transform: scale(1.05);
}

.main:hover .shadowOne {
    transform: translateX(-25px);
}

.row{
    height: 0px;
    display: flex;
    justify-content: space-evenly;
    padding-left: 100px;
    padding-right: 100px;
    background-color: #0077B5;
}

footer{
    position: relative;
    width:100%;
    background: #fff;
    min-height: 40px;
    padding:10px 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

footer p{
    color:var(--text-c);
    text-align: center;
    margin-top: 5px;
    margin-bottom: 5px;
    font-size: 1em;
    font-weight:bold;
    font-family:Verdana, Geneva, Tahoma, sans-serif
}
